### Function

# Ggit DiffLineCallback

#### Declaration

    gint
    (* GgitDiffLineCallback) (
      GgitDiffDelta* delta,
      GgitDiffHunk* hunk,
      GgitDiffLine* line,
      gpointer user_data
    )

#### Description [src]

Called for each line.

#### Parameters

`delta`

  Type: `GgitDiffDelta`

  A `GgitDiffDelta`.

  The data is owned by the caller of the function.

`hunk`

  Type: `GgitDiffHunk`

  A `GgitDiffHunk`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`line`

  Type: `GgitDiffLine`

  A `GgitDiffLine`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User-supplied data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

0 to go continue or a `GgitError` in case there was an error.